Page MenuHomePhabricator

fix or mark as inactive extensions currently failing CI
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptMay 1 2016, 2:26 AM
hashar added a subscriber: hashar.May 3 2016, 10:15 AM

A lot of those failures are due to the MediaWiki core structure test ApiDocumentationTest :(

Repositories that are failing the ApiDocumentationTest should be fixed (not marked non-voting). Rest should be dealt with but I dont have a good idea how to track them and get them fixed. Maybe we can generate some kind of dashboard listing extensions missing tests or having a non-voting job.

hashar triaged this task as Low priority.Nov 23 2016, 1:59 PM

There are still 63 extensions marked with non voting jobs in CI :-(

mediawiki/extensions/BookManager
mediawiki/extensions/DonationInterface
mediawiki/extensions/DumpHTML
mediawiki/extensions/EmailDiff
mediawiki/extensions/EtherEditor
mediawiki/extensions/intersection
mediawiki/extensions/Lingo
mediawiki/extensions/MathSearch
mediawiki/extensions/FileExporter
mediawiki/extensions/MessageCommons
mediawiki/extensions/NaturalLanguageList
mediawiki/extensions/CharRangeSpan
mediawiki/extensions/CloseWikis
mediawiki/extensions/Contest
mediawiki/extensions/DjangoAnalytics
mediawiki/extensions/FanBoxes
mediawiki/extensions/ImageRating
mediawiki/extensions/ListSignup
mediawiki/extensions/MOOC
mediawiki/extensions/MultiUpload
mediawiki/extensions/PhpTagsMaps
mediawiki/extensions/PhpTagsSMW
mediawiki/extensions/PhpTagsSPARQL
mediawiki/extensions/Premoderation
mediawiki/extensions/RegexFun
mediawiki/extensions/Sarcasm
mediawiki/extensions/SemanticHighcharts
mediawiki/extensions/SemanticSifter
mediawiki/extensions/SignWritingMediaWikiPlugin
mediawiki/extensions/SiteSettings
mediawiki/extensions/SolrStore
mediawiki/extensions/SphinxSearch
mediawiki/extensions/SSLClientAuthentication
mediawiki/extensions/SwarmExport
mediawiki/extensions/UpdateMediaWiki
mediawiki/extensions/VisualChat
mediawiki/extensions/WikivoteMapsYandex
mediawiki/extensions/HierarchyBuilder
mediawiki/extensions/Html2Wiki
mediawiki/extensions/Link_Attributes
mediawiki/extensions/ParserFun
mediawiki/extensions/TopLists
mediawiki/extensions/SemanticACL
mediawiki/extensions/SemanticExpressiveness
mediawiki/extensions/SemanticGenealogy
mediawiki/extensions/SemanticImageAnnotator
mediawiki/extensions/SemanticImageInput
mediawiki/extensions/SemanticInternalObjects
mediawiki/extensions/SemanticLinks
mediawiki/extensions/SemanticMediaWiki
mediawiki/extensions/SemanticPageMaker
mediawiki/extensions/SemanticPageSeries
mediawiki/extensions/SemanticTasks
mediawiki/extensions/SemanticTitle
mediawiki/extensions/SemanticUpdateOnPurge
mediawiki/extensions/Spreadsheet
mediawiki/extensions/Survey
mediawiki/extensions/Transliterator
mediawiki/extensions/WikiLexicalData

Umherirrender removed subtasks: T142134: Failing test BounceHandler/UnSubscribeUserTest::testUnSubscribeUser due to WANObjectCache::delete, T157814: Secure Sessions ships with php-geoip, but test infrastructure has it already compiled, which gives failures, T157815: Extension:CloseWikis phpunit tests fail due to missing "closedwikis" database, T154932: PanScroll extension: Tests failing due to missing message in resource modules, T182543: ResourcesTest::testFileExistence failures for ExtJSBase extension, T182544: Lingo tests are failing on PHP 5.5 but pass in HHVM, T182553: ProofreadPage\Pagination\FilePaginationTest::testIterator are failing, T179777: Fix PubSubHubbub\PubSubHubbubTest::testCreatePublishJob in PubSubHubbub, T179774: Fix undefined index in SVGFileTest::testSwitchTranslationSetRoundtrip in TranslateSvg, T115436: ResourcesTest::testFileExistence does not ignore anchor in url, T179772: Install zip extension for CI, T151871: SpellingDictionary: Message 'uls-select-language' required by 'ext.SpellingDictionary.viewByLanguage' must exist, T178517: Fix tests of PoolCounter extension, T155831: Premoderation test failures due call to a member function on a non-object , T154803: ResourcesTest fails on Skin CustomPage due to missing files, T155776: MOOC test failures due to deprecated JsonContent::getJsonData, T154935: PaginateText extension: Tests failing due to missing files located in sub repo, T154930: PagesList tests failing due to missing files located in sub repo, T155773: LinkSuggest2 test failing due to missing files located in sub repo, T154847: FlickrAPI test failing due to missing files located in sub repo, T154848: GooglePlaces tests failing due to missing files located in sub repo, T154806: Skin Refreshed sub repo does not handled in test config, T154802: Nimbus gate-and-submit fails on jshint, T154838: Let ApiDocumentationTest structure test pass on all repos.Apr 13 2018, 7:21 PM

I have marked all sub tasks with "Wikimedia-log-errors (Jenkins Failure)"

https://phabricator.wikimedia.org/project/profile/3298/

Failures of jenkins should have a task in that project

From IRC:

12:41:50 <James_F> Eurgh. 
12:42:11 <James_F> I really don't like mixing up CI issues ("Jenkins Failure") with production issues ("Wikimedia-log-errors").
12:42:17 <James_F> Was there a task about this?

Wikimedia-production-error is for serious stuff, which is why I stalk every task in it. Issues with random extensions that haven't been touched for years not passing their unit tests aren't remotely as important.

@Krinkle, @Umherirrender, could you please reconsider this?

@Umherirrender I've untagged most of them because:

  1. That tag is only for branches of repos that are WMF-deployed and block or otherwise affect Wikimedia development (e.g. issue in Wikibase affecting mediawiki/core patches from merging).
  1. If the job is marked as non-voting, then by definition, it is no longer affecting CI and merely becomes an issue for the individual project to deal with.
Krinkle removed a subscriber: Krinkle.Apr 14 2018, 12:38 AM
hashar closed this task as Resolved.May 31 2018, 7:58 PM
hashar claimed this task.

I am closing this. There are still extensions that are non voting but I will make a point of either archiving them (via Cleanup ) or make them voting. I eventually want to drop the non voting jobs entirely. At least for MediaWiki extensions/skins.